import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FlexLayoutModule } from '@angular/flex-layout';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatSelectModule } from '@angular/material/select';
import { MatTableModule } from '@angular/material/table';
import { OrdenancesFormComponent } from './components/ordenances-form/ordenances-form.component';
import { OrdenancesListComponent } from './components/ordenances-list/ordenances-list.component';
import { OrdenancesRoutingModule } from './ordenances-routing.module';

@NgModule({
  declarations: [OrdenancesListComponent, OrdenancesFormComponent],
  imports: [
    ReactiveFormsModule,
    CommonModule,
    MatFormFieldModule,
    MatInputModule,
    MatButtonModule,
    FlexLayoutModule,
    MatCardModule,
    MatIconModule,
    MatTableModule,
    MatSelectModule,
    OrdenancesRoutingModule,
  ],
})
export class OrdenancesModule {}
