package entity.cadastre;

import java.io.Serializable;

import javax.persistence.*;



/**
 * The persistent class for the "Municipi" database table.
 * 
 */
@Entity
@Table(name="\"Municipi\"", schema = "cadastre")
@NamedQuery(name="Municipi.findAll", query="SELECT m FROM Municipi m")
public class Municipi implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private Integer kmunicipi;

	private String nom;

	//bi-directional many-to-one association to Provincia
	@ManyToOne
	@JoinColumn(name="kprovincia")
	private Provincia provincia;

	public Municipi() {
	}

	public Integer getKmunicipi() {
		return this.kmunicipi;
	}

	public void setKmunicipi(Integer kmunicipi) {
		this.kmunicipi = kmunicipi;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}
	public Provincia getProvincia() {
		return this.provincia;
	}

	public void setProvincia(Provincia provincia) {
		this.provincia = provincia;
	}


}