package entity.cadastre;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the "TipCarrer" database table.
 * 
 */
@Entity
@Table(name="\"TipCarrer\"", schema = "cadastre")
@NamedQuery(name="TipCarrer.findAll", query="SELECT t FROM TipCarrer t")
public class TipCarrer implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String ktipcarrer;

	private String nom;

	public TipCarrer() {
	}

	public String getKtipcarrer() {
		return this.ktipcarrer;
	}

	public void setKtipcarrer(String ktipcarrer) {
		this.ktipcarrer = ktipcarrer;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

}