package entity.cadastre;

import java.io.Serializable;
import javax.persistence.*;



/**
 * The persistent class for the "Via" database table.
 * 
 */
@Entity
@Table(name="\"Via\"", schema = "cadastre")
@NamedQuery(name="Via.findAll", query="SELECT v FROM Via v")
public class Via implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private Integer kvia;

	private String nomvia;

	private Integer kmunicipi;

	//uni-directional many-to-one association to TipCarrer
	private String ktipcarrer;

	public Via() {
	}

	public Integer getKvia() {
		return this.kvia;
	}

	public void setKvia(Integer kvia) {
		this.kvia = kvia;
	}

	public String getNomvia() {
		return this.nomvia;
	}

	public void setNomvia(String nomvia) {
		this.nomvia = nomvia;
	}

	public Integer getKmunicipi() {
		return kmunicipi;
	}

	public void setKmunicipi(Integer kmunicipi) {
		this.kmunicipi = kmunicipi;
	}

	public String getKtipcarrer() {
		return ktipcarrer;
	}

	public void setKtipcarrer(String ktipcarrer) {
		this.ktipcarrer = ktipcarrer;
	}


}