package entity.comu;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the "VwSancionat" database table.
 * 
 */
@Entity
@Table(name="\"VwSancionat\"", schema="comu")
@NamedQuery(name="Sancionat.findAll", query="SELECT s FROM Sancionat s")
public class Sancionat implements Serializable {
	private static final long serialVersionUID = 1L;

	private String dencomerc;

	private String document;

	@Id
	private Integer kpersona;

	private String llinatge1;

	private String llinatge2;

	private String nom;

	private Long numsancions;

	private String passaport;

	private String tpdocument;

	public Sancionat() {
	}

	public String getDencomerc() {
		return this.dencomerc;
	}

	public void setDencomerc(String dencomerc) {
		this.dencomerc = dencomerc;
	}

	public String getDocument() {
		return this.document;
	}

	public void setDocument(String document) {
		this.document = document;
	}

	public Integer getKpersona() {
		return this.kpersona;
	}

	public void setKpersona(Integer kpersona) {
		this.kpersona = kpersona;
	}

	public String getLlinatge1() {
		return this.llinatge1;
	}

	public void setLlinatge1(String llinatge1) {
		this.llinatge1 = llinatge1;
	}

	public String getLlinatge2() {
		return this.llinatge2;
	}

	public void setLlinatge2(String llinatge2) {
		this.llinatge2 = llinatge2;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public Long getNumsancions() {
		return this.numsancions;
	}

	public void setNumsancions(Long numsancions) {
		this.numsancions = numsancions;
	}

	public String getPassaport() {
		return this.passaport;
	}

	public void setPassaport(String passaport) {
		this.passaport = passaport;
	}

	public String getTpdocument() {
		return this.tpdocument;
	}

	public void setTpdocument(String tpdocument) {
		this.tpdocument = tpdocument;
	}

}