package test.endpoints;

import org.glassfish.jersey.test.JerseyTest;

import jakarta.ws.rs.client.Entity;
import jakarta.ws.rs.core.MediaType;
import jakarta.ws.rs.core.Response;
import jaxb.security.AuthDTO;
import jaxb.security.CredentialsDTO;

public class TokenFactory {
	public static AuthDTO makeAuth(CredentialsDTO credentials, JerseyTest test) {
		Entity<CredentialsDTO> credentialsEntity = Entity.entity(credentials, MediaType.APPLICATION_JSON_TYPE);
		Response response = test.target("authentication").request(MediaType.APPLICATION_JSON_TYPE)
		        .post(credentialsEntity);
		AuthDTO auth=response.readEntity(AuthDTO.class);
		return auth;
	}

}
