package entity.cadastre;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the "Pais" database table.
 * 
 */
@Entity
@Table(name="\"Pais\"", schema = "cadastre")
@NamedQuery(name="Pais.findAll", query="SELECT p FROM Pais p")
public class Pais implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private Integer kpais;

	private String nom;

	public Pais() {
	}

	public Integer getKpais() {
		return this.kpais;
	}

	public void setKpais(Integer kpais) {
		this.kpais = kpais;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

}