package entity.reca;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the "Redsys" database table.
 * 
 */
@Entity
@Table(name="\"Redsys\"", schema = "reca")
@NamedQuery(name="Redsys.findAll", query="SELECT r FROM Redsys r")
public class Redsys implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String mdredsys;

	private String acsurl;

	private String pareq;

	public Redsys() {
	}

	public String getMdredsys() {
		return this.mdredsys;
	}

	public void setMdredsys(String mdredsys) {
		this.mdredsys = mdredsys;
	}

	public String getAcsurl() {
		return this.acsurl;
	}

	public void setAcsurl(String acsurl) {
		this.acsurl = acsurl;
	}

	public String getPareq() {
		return this.pareq;
	}

	public void setPareq(String pareq) {
		this.pareq = pareq;
	}

}