package utilities;

import javax.crypto.SecretKey;

import io.jsonwebtoken.SignatureAlgorithm;
import io.jsonwebtoken.security.Keys;

public class KeyGenerator {
	private static SecretKey tokenKey;
	private static SecretKey refreshKey;
	
	public static SecretKey getTokenKey() {
		if (tokenKey==null)
		  tokenKey = Keys.secretKeyFor(SignatureAlgorithm.HS256); //or HS384 or HS512
		return tokenKey;
	}

	public static SecretKey getRefreshKey() {
		if (refreshKey==null)
		  refreshKey = Keys.secretKeyFor(SignatureAlgorithm.HS256); //or HS384 or HS512
		return refreshKey;
	}
	
}
